summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xci/build_rpm/build_rpms.sh2
-rwxr-xr-xci/build_rpm/build_rpms_docker.sh9
-rwxr-xr-xci/deploy/deploy.sh15
-rwxr-xr-xdeploy/check_openstack_progress.sh10
-rwxr-xr-xdeploy/check_os_progress.sh10
-rw-r--r--deploy/tempest.py4
-rw-r--r--docs/installationprocedure/installation_guide.rst6
-rw-r--r--docs/installationprocedure/vmdeploy.rst8
8 files changed, 50 insertions, 14 deletions
diff --git a/ci/build_rpm/build_rpms.sh b/ci/build_rpm/build_rpms.sh
index 811eb13a..db5a42e9 100755
--- a/ci/build_rpm/build_rpms.sh
+++ b/ci/build_rpm/build_rpms.sh
@@ -40,7 +40,7 @@ function cleanup_container {
echo "Removing containers... $containers_to_kill"
(sudo docker rm -v -f ${containers_to_kill} 2>&1) > /dev/null
- if [[ ! -z "$containers_to_kill" ]]; then
+ if [[ ! -z "$volumes_to_remove" ]]; then
echo "Removing volumes... $volumes_to_remove"
(sudo docker volume rm ${volumes_to_remove} 2>&1) || true > /dev/null
fi
diff --git a/ci/build_rpm/build_rpms_docker.sh b/ci/build_rpm/build_rpms_docker.sh
index 4434157a..bd0e0878 100755
--- a/ci/build_rpm/build_rpms_docker.sh
+++ b/ci/build_rpm/build_rpms_docker.sh
@@ -14,6 +14,8 @@ rpm_build_dir=/opt/daisy4nfv
rpm_output_dir=$rpm_build_dir/build_output
tmp_rpm_build_dir=/home/cache/daisy4nfv
+DAISYCORE_TAG=1.3.0
+
if [[ -d $tmp_rpm_build_dir ]]; then
rm -fr $tmp_rpm_build_dir
fi
@@ -35,6 +37,13 @@ do
echo -e "\n\n\n*** Starting build attempt # $cnt"
git clone https://git.openstack.org/openstack/daisycloud-core
+
+ if [[ ! -z "$DAISYCORE_TAG" ]]; then
+ pushd daisycloud-core
+ git checkout $DAISYCORE_TAG
+ popd
+ fi
+
cp $rpm_build_dir/code/makefile_patch.sh daisycloud-core/tools/setup
cp $rpm_build_dir/code/install_interface_patch.sh daisycloud-core/tools/setup
cd daisycloud-core/make
diff --git a/ci/deploy/deploy.sh b/ci/deploy/deploy.sh
index f6fae37e..8c13776c 100755
--- a/ci/deploy/deploy.sh
+++ b/ci/deploy/deploy.sh
@@ -49,7 +49,7 @@ sudo `basename $0` -b base_path
-l zte -p pod2 -B pxebr
-d ./deploy/config/vm_environment/zte-virtual1/deploy.yml
-n ./deploy/config/vm_environment/zte-virtual1/network.yml
- -r /opt/daisy -w /opt/daisy -l zte -p pod2
+ -r /opt/daisy -w /opt/daisy
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
EOF
}
@@ -187,9 +187,12 @@ if [ $DRY_RUN -eq 1 ]; then
exit 1
fi
-if [ ! -x ${WORKSPACE}/opnfv.bin ]; then
- echo "opnfv.bin does not exist in WORKSPACE or is not executable, exit."
+if [ ! -f ${WORKSPACE}/opnfv.bin ]; then
+ echo "opnfv.bin does not exist in WORKSPACE, exit."
exit 1
+elif [ ! -x ${WORKSPACE}/opnfv.bin ]; then
+ echo "opnfv.bin in WORKSPACE is not executable, chmod it and continue."
+ chmod +x ${WORKSPACE}/opnfv.bin
fi
test -d ${VM_STORAGE} || mkdir -p ${VM_STORAGE}
@@ -320,12 +323,18 @@ ssh $SSH_PARAS $DAISY_IP "systemctl restart daisy-registry"
echo "===========check install progress==========="
ssh $SSH_PARAS $DAISY_IP "${REMOTE_SPACE}/deploy/check_os_progress.sh -d $IS_BARE -n $TARGET_HOSTS_NUM"
+if [ $? -ne 0 ]; then
+ exit 1;
+fi
sleep 10
if [ $IS_BARE == 0 ];then
virsh reboot all_in_one
fi
ssh $SSH_PARAS $DAISY_IP "${REMOTE_SPACE}/deploy/check_openstack_progress.sh"
+if [ $? -ne 0 ]; then
+ exit 1;
+fi
if [ $IS_BARE == 0 ];then
diff --git a/deploy/check_openstack_progress.sh b/deploy/check_openstack_progress.sh
index c1c88eb8..bbd631b6 100755
--- a/deploy/check_openstack_progress.sh
+++ b/deploy/check_openstack_progress.sh
@@ -2,7 +2,17 @@
source /root/daisyrc_admin
echo "check openstack installing progress..."
cluster_id=`daisy cluster-list | awk -F "|" '{print $2}' | sed -n '4p'`
+
+maxcount=180
+count=0
+
while true; do
+ if [ $count -gt $maxcount ]; then
+ echo "It took too long to install openstack, exit 1."
+ exit 1
+ fi
+ count=$[count + 1]
+
openstack_install_active=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "active" `
openstack_install_failed=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "install-failed" `
if [ $openstack_install_active -eq 1 ]; then
diff --git a/deploy/check_os_progress.sh b/deploy/check_os_progress.sh
index abbd7e5a..c631a713 100755
--- a/deploy/check_os_progress.sh
+++ b/deploy/check_os_progress.sh
@@ -45,7 +45,15 @@ echo "run daisy install command"
daisy install $cluster_id --skip-pxe-ipmi $skip
echo "check os installing progress..."
+maxcount=180
+count=0
while true; do
+ if [ $count -gt $maxcount ]; then
+ echo "It took too long to install the os, exit 1."
+ exit 1
+ fi
+ count=$[count + 1]
+
os_install_active=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $8}' | grep -c "active" `
os_install_failed=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $8}' | grep -c "install-failed" `
if [ $os_install_active -eq $hosts_num ]; then
@@ -57,7 +65,7 @@ while true; do
else
progress=`daisy host-list --cluster-id $cluster_id |grep DISCOVERY_SUCCESSFUL |awk -F "|" '{print $7}'|sed s/[[:space:]]//g|sed ':a;N;$ s/\n/ /g;ba'`
echo "os in installing, the progress of each node is $progress%"
- sleep 10
+ sleep 30
fi
done
systemctl disable dhcpd
diff --git a/deploy/tempest.py b/deploy/tempest.py
index 34af9b5a..2b72cbc2 100644
--- a/deploy/tempest.py
+++ b/deploy/tempest.py
@@ -31,7 +31,7 @@ _CLI_OPTS = [
help='Config cluster'),
cfg.StrOpt('host',
help='Config host'),
- cfg.StrOpt('env',
+ cfg.IntOpt('env',
help='deploy environment'),
]
@@ -86,7 +86,7 @@ def prepare_install():
cluster_id = cluster_info.id
add_hosts_interface(cluster_id, hosts_info, hosts_name,
host_interface_map, vip)
- if conf['env'] and conf['env'] == 0:
+ if 'env' in conf and conf['env'] == 0:
build_pxe_for_os(cluster_id)
except Exception:
print("Deploy failed!!!.%s." % traceback.format_exc())
diff --git a/docs/installationprocedure/installation_guide.rst b/docs/installationprocedure/installation_guide.rst
index 7417f9ec..5afd73aa 100644
--- a/docs/installationprocedure/installation_guide.rst
+++ b/docs/installationprocedure/installation_guide.rst
@@ -21,15 +21,15 @@ Before starting the installation of the Danube release of OPNFV, some plannings
must be done.
-Retrieving the installation bin image
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+Retrieve the installation bin image
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
First of all, the installation bin which includes packages of Daisy, OS,
OpenStack, and so on is needed for deploying your OPNFV environment.
The stable release bin image can be retrieved via `OPNFV software download page <https://www.opnfv.org/software>`_
-The daily build bin image can be retrieved via OPNFV artifacts repository:
+The daily build bin image can be retrieved via OPNFV artifact repository:
http://artifacts.opnfv.org/daisy.html
diff --git a/docs/installationprocedure/vmdeploy.rst b/docs/installationprocedure/vmdeploy.rst
index bf44c1f9..03982342 100644
--- a/docs/installationprocedure/vmdeploy.rst
+++ b/docs/installationprocedure/vmdeploy.rst
@@ -9,9 +9,9 @@ Nodes Configuration (Virtual Deployment)
The below file is the inventory template of deployment nodes:
-"./deploy/conf/vm_environment/zte-virtual1/network.yml"
+"./deploy/conf/vm_environment/zte-virtual1/deploy.yml"
-You can write your own address/roles reference into it.
+You can write your own name/roles reference into it.
- name -- Host name for deployment node after installation.
@@ -43,7 +43,7 @@ E.g. OpenStack only deployment roles setting
- compute
NOTE:
-IF YOU SELECT MUTIPLE NODES AS CONTROLLER, THE 'ha' role MUST BE SELECT, TOO.
+IF YOU SELECT MUTIPLE NODES AS CONTROLLER, THE 'ha' role MUST BE SELECTED, TOO.
E.g. OpenStack and ceph deployment roles setting
@@ -64,7 +64,7 @@ E.g. OpenStack and ceph deployment roles setting
Network Configuration (Virtual Deployment)
------------------------------------------
-Before deployment, there are some network configuration to be checked based
+Before deployment, there are some network configurations to be checked based
on your network topology. The default network configuration file for Daisy is
"daisy/deploy/config/vm_environment/zte-virtual1/network.yml".
You can write your own reference into it.